---
layout: default
title: GitLab Pricing
description: "Host your projects on your own server or on GitLab.com and supercharge your projects with issue tracking, CI/CD, monitoring, and much more."
suppress_header: true
extra_css:
  - gitlab-com.css
  - pricing.css
extra_js:
  - faq.js
---

-# HARK;GENERATED CONTENT BELOW!
-# The below block is generated by data from /data/gitlab_com.yml file.
-# This is where you will want to look to edit the content of the page.

.tab-container
  %ul.pricing-tabs{ role: "tablist"}
    %li.active{ role: "presentation" }
      %a{ href: '#self-hosted', "data-toggle" => "tab", "aria-controls" => "self-hosted", role: "tab" }
        = partial "includes/icons/self-hosted-icon.svg"
        Self-Hosted
    %li{ role: "presentation" }
      %a{ href: '#saas', "data-toggle" => "tab", "aria-controls" => "saas", role: "tab" }
        = partial "includes/icons/gitlab-com-icon.svg"
        GitLab.com

  .tab-content
    .tab-pane.active{ role: "tabpanel", id: "self-hosted"}
      .pricing-options.pricing-options--self-hosted.text-center
        .container
          .row
            .col-md-10.col-md-offset-1.pricing-intro
              %h1 Maintain full control of your infrastructure by self-hosting GitLab on prem or your favorite cloud service.
              %a.btn.cta-btn.purple{ href: '/free-trial/' } Free Trial

          .row.flex-row.plan-row
            .col-md-3
              .plan.plan--libre
                %h3.plan-name Libre
                %p.plan-description
                  For personal projects or small teams.
                .row.plan-pricing
                  .col-xs-6.cost.cost-large
                    $0
                  .col-xs-6.cost.cost-small
                    per user
                    %br
                    per month
                .plan-actions
                  = link_to "Install", "/installation/", class: "btn btn-pricing btn-self-hosted"
                = link_to "View More ", "#community-edition", class: "visible-xs-block visible-sm-block featured-item-expand"
                %ul#community-edition.plan-item-list.list-unstyled
                  - data.features.features.each do |feature|
                    - if (feature.gitlab_libre == true && feature.products_page == true)
                      %li.item-description
                        - if (feature.link != nil)
                          = link_to feature.title, feature.link
                        - if (feature.link == nil)
                          = feature.title
                = link_to "See all features", "/pricing/self-hosted/feature-comparison/", class: "all-features"

            .col-md-3
              .plan.plan--starter
                %h3.plan-name Starter
                %p.plan-description
                  For personal projects or small teams who need professional support.
                .row.plan-pricing
                  .col-xs-6.cost.cost-large
                    $4
                  .col-xs-6.cost.cost-small
                    per user
                    %br
                    per month
                    %br
                    .cost-extra-small (billed annually)
                .plan-actions
                  = link_to "Buy Now", "https://customers.gitlab.com/subscriptions/new?plan_id=2c92a0ff6145d07001614efff26d15da", class: "btn btn-pricing btn-self-hosted"
                = link_to "View More ", "#enterprise-edition-starter", class: "visible-xs-block visible-sm-block featured-item-expand"
                %ul#enterprise-edition-starter.plan-item-list.list-unstyled
                  - data.features.features.each do |feature|
                    - if (feature.gitlab_libre == false && feature.gitlab_starter == true && feature.products_page == true)
                      %li.item-description
                        - if (feature.link != nil)
                          = link_to feature.title, feature.link
                        - if (feature.link == nil)
                          = feature.title
                = link_to "See all features", "/pricing/self-hosted/feature-comparison/", class: "all-features"

            .col-md-3
              .plan.plan--premium
                %h3.plan-name Premium
                %p.plan-description
                  For distributed teams who need high availability and 24/7 support.
                .row.plan-pricing
                  .col-xs-6.cost.cost-large
                    $19
                  .col-xs-6.cost.cost-small
                    per user
                    %br
                    per month
                    %br
                    .cost-extra-small (billed annually)
                .plan-actions.stacked-buttons
                  = link_to "Buy Now", "https://customers.gitlab.com/subscriptions/new?plan_id=2c92a0ff6145d07001614f0ca2796525", class: "btn btn-pricing btn-self-hosted"
                  %br
                  = link_to "Free Trial", "https://about.gitlab.com/free-trial/", class: "btn btn-pricing btn-self-hosted"
                = link_to "View More ", "#enterprise-edition-premium", class: "visible-xs-block visible-sm-block featured-item-expand"
                %ul#enterprise-edition-premium.plan-item-list.list-unstyled
                  - data.features.features.each do |feature|
                    - if (feature.gitlab_libre == false && feature.gitlab_starter == false && feature.gitlab_premium == true && feature.products_page == true)
                      %li.item-description
                        .triangle
                        - if (feature.link != nil)
                          = link_to feature.title, feature.link
                        - if (feature.link == nil)
                          = feature.title
                = link_to "See all features", "/pricing/self-hosted/feature-comparison/", class: "all-features"

            .col-md-3
              .plan.plan--ultimate
                %h3.plan-name Ultimate
                %p.plan-description
                  For large enterprises who want to align strategy and execution with security and compliance.
                .row.plan-pricing
                  .col-xs-6.cost.cost-large
                    $99
                  .col-xs-6.cost.cost-small
                    per user
                    %br
                    per month
                    %br
                    .cost-extra-small (billed annually)
                .plan-actions
                  = link_to "Contact Sales", "/sales", class: "btn btn-pricing btn-self-hosted"
                  %br
                  %span.more-info for early adopter discount
                = link_to "View More ", "#enterprise-edition-ultimate", class: "visible-xs-block visible-sm-block featured-item-expand"
                %ul#enterprise-edition-ultimate.plan-item-list.list-unstyled
                  - data.features.features.each do |feature|
                    - if (feature.gitlab_libre == false && feature.gitlab_starter == false && feature.gitlab_premium == false && feature.gitlab_ultimate == true)
                      %li.item-description
                        .triangle
                        - if (feature.link != nil)
                          = link_to feature.title, feature.link
                        - if (feature.link == nil)
                          = feature.title
                = link_to "See all features", "/pricing/self-hosted/feature-comparison/", class: "all-features"

      .contact-block.text-center
        %h2 Still have questions? Get in touch.
        = link_to "Contact Us", "/sales/", class: "btn cta-btn purple"

      .content-container.animated.faq
        .container
          %h2.faq-title.light.text-center
            Subscription & Licensing FAQ
          .faq-holder.clearfix
            - size = (data.pricing.questions.size / Float(2)).ceil
            - data.pricing.questions.each_slice(size).to_a.each do |group|
              = partial "includes/layout/question_group", locals: { group: group }


    .tab-pane{ role: "tabpanel", id: "saas"}
      .pricing-options.pricing-options--saas.text-center
        .container
          .row
            .col-md-10.col-md-offset-1.pricing-intro
              %h1
                SaaS plans hosted by GitLab in the cloud.
              %a.btn.cta-btn.purple{ href: 'https://gitlab.com/users/sign_in' } Sign-up Free

          .row.flex-row.plan-row
            - data.gitlab_com.prices.free_plan do |plan|
              .col-md-3
                .plan.plan--free
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#free-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#free-plan.plan-item-list.list-unstyled
                    %li.item-description
                      = plan.description
                    %li.item-description
                      = plan.support
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_libre == true && feature.gitlab_com != false && feature.feature_page == true)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/saas/feature-comparison/", class: "all-features"

            - data.gitlab_com.prices.bronze_plan do |plan|
              .col-md-3
                .plan.plan--bronze
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#bronze-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#bronze-plan.plan-item-list.list-unstyled
                    %li.item-description
                      %strong
                        All features from Free and:
                    %li.item-description
                      = plan.description
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_libre == false && feature.gitlab_starter == true && feature.gitlab_com != false)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/saas/feature-comparison/", class: "all-features"

            - data.gitlab_com.prices.silver_plan do |plan|
              .col-md-3
                .plan.plan--silver
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#silver-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#silver-plan.plan-item-list.list-unstyled
                    %li.item-description
                      %strong
                        All features from Bronze and:
                    %li.item-description
                      = plan.description
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_starter == false && feature.gitlab_premium == true && feature.gitlab_com != false)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/saas/feature-comparison/", class: "all-features"

            - data.gitlab_com.prices.gold_plan do |plan|
              .col-md-3
                .plan.plan--gold
                  %h3.plan-name
                    = plan.title
                  %p.plan-description
                    = plan.edition_description
                  .row.plan-pricing
                    .col-xs-6.cost.cost-large
                      = plan.monthly
                    .col-xs-6.cost.cost-small
                      per user
                      %br
                      per month
                      %br
                      .cost-extra-small (billed annually)
                  .plan-actions
                    = link_to plan.link_text, plan.link, class: "btn btn-pricing btn-saas"
                  = link_to "View More ", "#gold-plan", class: "visible-xs-block visible-sm-block featured-item-expand"
                  %ul#gold-plan.plan-item-list.list-unstyled
                    %li.item-description
                      %strong
                        All features from Silver and:
                    %li.item-description
                      = plan.description
                    - data.features.features.each do |feature|
                      - if (feature.gitlab_starter == false && feature.gitlab_premium == false && feature.gitlab_ultimate == true && feature.gitlab_com != false)
                        %li.item-description
                          - if (feature.link != nil)
                            = link_to feature.title, feature.link
                          - if (feature.link == nil)
                            = feature.title
                  = link_to "See all features", "/pricing/saas/feature-comparison/", class: "all-features"

      .contact-block.text-center
        %h2 Still have questions? Get in touch.
        = link_to "Contact Us", "/sales/", class: "btn cta-btn purple"


      .content-container.animated.faq
        .container
          %h2.faq-title.light.text-center
            %a{ :name => "faq" }
            Frequently Asked Questions
          .faq-holder.clearfix
            - size = (data.gitlab_com.questions.size / Float(2)).ceil
            - data.gitlab_com.questions.each_slice(size).to_a.each_with_index do |group, i|
              - if (i == 1)
                = partial "includes/layout/question_group_with_yield", locals: { group: group } do
                  %li.faq-item
                    .faq-inner-item
                      %a.faq-question.js-faq-question{ href: "#" }
                        What features do not apply to GitLab.com?
                        %i.fa.fa-angle-down.pull-right
                      .faq-answer
                        The following features do not apply to GitLab.com:
                        %ul
                          - data.features.features.each do |feature|
                            - if (feature.gitlab_com == false && feature.solution != "missing")
                              %li
                                = feature.title
                                - if (feature.description != "" && feature.description != nil)
                                  %i.fa.fa-info-circle.info-icon{"title" => feature.description, "data-toggle" => "tooltip", "data-placement" => "top"}
              - else
                = partial "includes/layout/question_group", locals: { group: group }

